Loading...
Searching...
No Matches
caf::inbound_stream_slot< In > Class Template Reference

Wraps a stream slot ID for inbound paths with the full type information of the path creation. More...

`#include <stream_slot.hpp>`

## Public Types

using | input_type = In
| Type of a single element.
using | input_stream_type = stream<input_type>
| The return type for scheduled_actor::make_source.

## Public Member Functions

constexpr | inbound_stream_slot (stream_slot value=0)
| inbound_stream_slot (inbound_stream_slot &&)=default
| inbound_stream_slot (const inbound_stream_slot &)=default
inbound_stream_slot & | operator= (inbound_stream_slot &&)=default
inbound_stream_slot & | operator= (const inbound_stream_slot &)=default
constexpr | operator stream_slot () const noexcept
constexpr stream_slot | value () const noexcept

## Detailed Description

template<class In>
class caf::inbound_stream_slot< In >

Wraps a stream slot ID for inbound paths with the full type information of the path creation.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_slot.hpp